<?php
$servername = "mysql.receitafazendasmeiweb.kinghost.net"; // Altere se necessário
$username = "receitafaz_add1"; // Usuário do banco de dados
$password = "963852j"; // Senha do banco de dados
$database = "receitafazenda"; // Nome do banco de dados

try {
    $pdo = new PDO("mysql:host=$host;dbname=$db", $user, $pass);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Obtendo os dados da requisição
    $data = json_decode(file_get_contents('php://input'), true);
    $pixKey = $data['pixKey'];

    // Verificando se a chave PIX já existe no banco
    $stmt = $pdo->prepare("SELECT COUNT(*) FROM pix_chaves WHERE pix_code = :pixKey");
    $stmt->bindParam(':pixKey', $pixKey);
    $stmt->execute();

    if ($stmt->fetchColumn() > 0) {
        echo "Essa chave PIX já está cadastrada!";
        exit;
    }

    // Inserindo a nova chave PIX
    $sql = "INSERT INTO pix_chaves (pix_code) VALUES (:pixKey)";
    $stmt = $pdo->prepare($sql);
    $stmt->bindParam(':pixKey', $pixKey);
    $stmt->execute();

    echo "Chave PIX adicionada com sucesso!";
} catch (PDOException $e) {
    echo "Erro: " . $e->getMessage();
}
?>
